//--------------------------------------

$AutoUse[Blaster] = True;
$Use[Blaster] = True;
$WeaponAmmo[Blaster] = "";

//--------------------------------------

$InvList[Blaster] = 1;
$RemoteInvList[Blaster] = 1;

//--------------------------------------

BulletData BlasterBolt
{
//   bulletShapeName    = "enex.dts";
   bulletShapeName    = "lflame.dts";
   explosionTag       = turretExp;

   damageClass        = 1;
   damageValue        = 0.25;
   damageType         = $BlasterDamageType;
   explosionRadius    = 3.0;

   muzzleVelocity     = 200.0;
   totalTime          = 2.0;
   liveTime           = 1.125;

   lightRange         = 5.0;
   lightColor         = { 0, 0, 1 };
   inheritedVelocityScale = 1;
   isVisible          = True;

};

//--------------------------------------

ItemImageData BlasterImage
{
   shapeFile  = "plasma";
	mountPoint = 0;

	weaponType = 0; // Single Shot
	reloadTime = 1;
	fireTime = 0.3;
	minEnergy = 5;
	maxEnergy = 15;

	projectileType = BlasterBolt;
	accuFire = true;

	sfxFire = SoundMortarTurretOff;
	sfxActivate = SoundPickUpWeapon;
};

ItemData Blaster
{
   heading = "bWeapons";
	description = "Blaster";
	className = "Weapon";
   shapeFile  = "plasma";
	hudIcon = "blaster";
	shadowDetailMask = 4;
	imageType = BlasterImage;
	price = 85;
	showWeaponBar = true;
};

//--------------------------------------

ItemImageData Blaster1Image
{
	shapeFile = "camera";
	mountPoint = 0; 
	mountOffset = { 0, 0, 0 }; //-  left-right, back-front, up-down
	mountRotation = { 0, -3.18 , 0  }; //- X= up-down , Y= roll-left-right , Z= left-right
};

ItemData Blaster1
{
	description = "Blaster1";
	className = "weapon";
	shapeFile = "camera";
	shadowDetailMask = 4;
	imageType = Blaster1Image;
	showWeaponBar = false;
};

ItemImageData Blaster2Image
{
	shapeFile = "energygun";
	mountPoint = 0; 
	mountOffset = { 0, 0, 0.01  }; //-  left-right, back-front, up-down
	mountRotation = { 0, 0, 0  }; //- X= up-down , Y= roll-left-right , Z= left-right
};

ItemData Blaster2
{
	description = "Blaster2";
	className = "weapon";
	shapeFile = "energygun";
	shadowDetailMask = 4;
	imageType = Blaster2Image;
	showWeaponBar = false;
};


function Blaster::onMount(%player,%item)
{
	Player::mountItem(%player, Blaster1, 5);
	Player::mountItem(%player, Blaster2, 6);
}

function Blaster::onUnMount(%player,%item)
{
	Player::unmountItem(%player, 5);
	Player::unmountItem(%player, 6);
}