//--------------------------------------

$AutoUse[Chaingun] = True;
$SellAmmo[BulletAmmo] = 250;
$AmmoPackMax[BulletAmmo] = 350;
$AmmoPackItems[0] = BulletAmmo;
$WeaponAmmo[Chaingun] = BulletAmmo;

//--------------------------------------

$InvList[Chaingun] = 1;
$InvList[BulletAmmo] = 1;
$RemoteInvList[Chaingun] = 1;
$RemoteInvList[BulletAmmo] = 1;

//--------------------------------------

BulletData ChaingunBullet
{
   bulletShapeName    = "bullet.dts";
   validateShape      = true;
   explosionTag       = bulletExp0;
   expRandCycle       = 3;
   mass               = 0.05;
   bulletHoleIndex    = 0;

   damageClass        = 0;       // 0 impact, 1, radius
   damageValue        = 0.11;
   damageType         = $BulletDamageType;

   aimDeflection      = 0.005;
   muzzleVelocity     = 425.0;
   totalTime          = 1.5;
   inheritedVelocityScale = 1.0;
   isVisible          = False;

   tracerPercentage   = 1.0;
   tracerLength       = 30;
};

//--------------------------------------

ItemData BulletAmmo
{
	description = "Bullet";
	className = "Ammo";
	shapeFile = "ammo1";
   heading = "xAmmunition";
	shadowDetailMask = 4;
	price = 1;
};

ItemImageData ChaingunImage
{
	shapeFile = "chaingun";
	mountPoint = 0;
	mountOffset = { 0, 0, 0 }; //-  left-right, back-front, up-down
	mountRotation = { 0, -3.18, 0  }; //- X= up-down , Y= roll-left-right , Z= left-right

	weaponType = 1; // Spinning
	reloadTime = 0;
	spinUpTime = 0.5;
	spinDownTime = 3;
	fireTime = 0.2;

	ammoType = BulletAmmo;
	projectileType = ChaingunBullet;
	accuFire = false;

	lightType = 3;  // Weapon Fire
	lightRadius = 3;
	lightTime = 1;
	lightColor = { 0.6, 1, 1 };

	sfxFire = SoundFireChaingun;
	sfxActivate = SoundPickUpWeapon;
	sfxSpinUp = SoundSpinUp;
	sfxSpinDown = SoundSpinDown;
};

ItemData Chaingun
{
	description = "Chaingun";
	className = "Weapon";
	shapeFile = "chaingun";
   validateShape = true;
	hudIcon = "chain";
   heading = "bWeapons";
	shadowDetailMask = 4;
	imageType = ChaingunImage;
	price = 125;
	showWeaponBar = true;
};

//--------------------------------------


ItemImageData Chaingun1Image
{
	shapeFile = "sniper";
	mountPoint = 0; 
	mountOffset = { 0, 0.5, 0 }; //-  left-right, back-front, up-down
	mountRotation = { 0, 0, 3.18  }; //- X= up-down , Y= roll-left-right , Z= left-right
};

ItemData Chaingun1
{
	description = "Chaingun1";
	className = "weapon";
	shapeFile = "sniper";
	shadowDetailMask = 4;
	imageType = Chaingun1Image;
	showWeaponBar = false;
};

ItemImageData Chaingun2Image
{
	shapeFile = "armorKit";
	mountPoint = 0; 
	mountOffset = { 0, 0, -0.01  }; //-  left-right, back-front, up-down
	mountRotation = { 0, -3.18 , 0  }; //- X= up-down , Y= roll-left-right , Z= left-right
};

ItemData Chaingun2
{
	description = "Chaingun2";
	className = "weapon";
	shapeFile = "armorKit";
	shadowDetailMask = 4;
	imageType = Chaingun2Image;
	showWeaponBar = false;
};


function Chaingun::onMount(%player,%item)
{
	Player::mountItem(%player, Chaingun1, 5);
	Player::mountItem(%player, Chaingun2, 6);
}

function Chaingun::onUnMount(%player,%item)
{
	Player::unmountItem(%player, 5);
	Player::unmountItem(%player, 6);
}